paex_mono_asio_channel_select.c File Reference
Example programs demonstrating PortAudio usage

Play a monophonic sine wave on a specific ASIO channel. More...

`#include <stdio.h>`
`#include <math.h>`
`#include "portaudio.h"`
`#include "pa_asio.h"`

Go to the source code of this file.

## Data Structures

struct | paTestData

## Macros

#define | NUM_SECONDS (10)
#define | SAMPLE_RATE (44100)
#define | AMPLITUDE (0.8)
#define | FRAMES_PER_BUFFER (64)
#define | OUTPUT_DEVICE Pa_GetDefaultOutputDevice()
#define | M_PI (3.14159265)
#define | TABLE_SIZE (200)

## Functions

int | main (void)

## Detailed Description

Play a monophonic sine wave on a specific ASIO channel.

Author
  Ross Bencina rossb.nosp@m.@aud.nosp@m.iomul.nosp@m.ch.c.nosp@m.om
  Phil Burk philb.nosp@m.urk@.nosp@m.softs.nosp@m.ynth.nosp@m..com

Definition in file paex_mono_asio_channel_select.c.